*** ../gmp-snap/doc/gmp.texi	Mon Feb 15 04:05:11 2010
--- doc/gmp.texi	Mon Feb 15 11:13:37 2010
***************
*** 6502,6506 ****
  @section C++ Interface Integers
  
! @deftypefun void mpz_class::mpz_class (type @var{n})
  Construct an @code{mpz_class}.  All the standard C++ types may be used, except
  @code{long long} and @code{long double}, and all the GMP C++ classes can be
--- 6502,6506 ----
  @section C++ Interface Integers
  
! @deftypefun {} mpz_class::mpz_class (type @var{n})
  Construct an @code{mpz_class}.  All the standard C++ types may be used, except
  @code{long long} and @code{long double}, and all the GMP C++ classes can be
***************
*** 6509,6513 ****
  @end deftypefun
  
! @deftypefun void mpz_class::mpz_class (mpz_t @var{z})
  Construct an @code{mpz_class} from an @code{mpz_t}.  The value in @var{z} is
  copied into the new @code{mpz_class}, there won't be any permanent association
--- 6509,6513 ----
  @end deftypefun
  
! @deftypefun {} mpz_class::mpz_class (mpz_t @var{z})
  Construct an @code{mpz_class} from an @code{mpz_t}.  The value in @var{z} is
  copied into the new @code{mpz_class}, there won't be any permanent association
***************
*** 6515,6522 ****
  @end deftypefun
  
! @deftypefun void mpz_class::mpz_class (const char *@var{s})
! @deftypefunx void mpz_class::mpz_class (const char *@var{s}, int @var{base} = 0)
! @deftypefunx void mpz_class::mpz_class (const string& @var{s})
! @deftypefunx void mpz_class::mpz_class (const string& @var{s}, int @var{base} = 0)
  Construct an @code{mpz_class} converted from a string using @code{mpz_set_str}
  (@pxref{Assigning Integers}).
--- 6515,6522 ----
  @end deftypefun
  
! @deftypefun  {} mpz_class::mpz_class (const char *@var{s})
! @deftypefunx {} mpz_class::mpz_class (const char *@var{s}, int @var{base} = 0)
! @deftypefunx {} mpz_class::mpz_class (const string& @var{s})
! @deftypefunx {} mpz_class::mpz_class (const string& @var{s}, int @var{base} = 0)
  Construct an @code{mpz_class} converted from a string using @code{mpz_set_str}
  (@pxref{Assigning Integers}).
***************
*** 6588,6593 ****
  canonical form, or if not then @code{mpq_class::canonicalize} called.
  
! @deftypefun void mpq_class::mpq_class (type @var{op})
! @deftypefunx void mpq_class::mpq_class (integer @var{num}, integer @var{den})
  Construct an @code{mpq_class}.  The initial value can be a single value of any
  type, or a pair of integers (@code{mpz_class} or standard C++ integer types)
--- 6588,6593 ----
  canonical form, or if not then @code{mpq_class::canonicalize} called.
  
! @deftypefun  {} mpq_class::mpq_class (type @var{op})
! @deftypefunx {} mpq_class::mpq_class (integer @var{num}, integer @var{den})
  Construct an @code{mpq_class}.  The initial value can be a single value of any
  type, or a pair of integers (@code{mpz_class} or standard C++ integer types)
***************
*** 6602,6606 ****
  @end deftypefun
  
! @deftypefun void mpq_class::mpq_class (mpq_t @var{q})
  Construct an @code{mpq_class} from an @code{mpq_t}.  The value in @var{q} is
  copied into the new @code{mpq_class}, there won't be any permanent association
--- 6602,6606 ----
  @end deftypefun
  
! @deftypefun {} mpq_class::mpq_class (mpq_t @var{q})
  Construct an @code{mpq_class} from an @code{mpq_t}.  The value in @var{q} is
  copied into the new @code{mpq_class}, there won't be any permanent association
***************
*** 6608,6615 ****
  @end deftypefun
  
! @deftypefun void mpq_class::mpq_class (const char *@var{s})
! @deftypefunx void mpq_class::mpq_class (const char *@var{s}, int @var{base} = 0)
! @deftypefunx void mpq_class::mpq_class (const string& @var{s})
! @deftypefunx void mpq_class::mpq_class (const string& @var{s}, int @var{base} = 0)
  Construct an @code{mpq_class} converted from a string using @code{mpq_set_str}
  (@pxref{Initializing Rationals}).
--- 6608,6615 ----
  @end deftypefun
  
! @deftypefun  {} mpq_class::mpq_class (const char *@var{s})
! @deftypefunx {} mpq_class::mpq_class (const char *@var{s}, int @var{base} = 0)
! @deftypefunx {} mpq_class::mpq_class (const string& @var{s})
! @deftypefunx {} mpq_class::mpq_class (const string& @var{s}, int @var{base} = 0)
  Construct an @code{mpq_class} converted from a string using @code{mpq_set_str}
  (@pxref{Initializing Rationals}).
***************
*** 6680,6684 ****
  doesn't suit.
  
! @deftypefun {} mpf_class::mpf_class (type @var{op})
  @deftypefunx {} mpf_class::mpf_class (type @var{op}, unsigned long @var{prec})
  Construct an @code{mpf_class}.  Any standard C++ type can be used, except
--- 6680,6684 ----
  doesn't suit.
  
! @deftypefun  {} mpf_class::mpf_class (type @var{op})
  @deftypefunx {} mpf_class::mpf_class (type @var{op}, unsigned long @var{prec})
  Construct an @code{mpf_class}.  Any standard C++ type can be used, except
***************
*** 6704,6711 ****
  @end deftypefun
  
! @deftypefun void mpf_class::mpf_class (const char *@var{s})
! @deftypefunx void mpf_class::mpf_class (const char *@var{s}, unsigned long @var{prec}, int @var{base} = 0)
! @deftypefunx void mpf_class::mpf_class (const string& @var{s})
! @deftypefunx void mpf_class::mpf_class (const string& @var{s}, unsigned long @var{prec}, int @var{base} = 0)
  Construct an @code{mpf_class} converted from a string using @code{mpf_set_str}
  (@pxref{Assigning Floats}).  If @var{prec} is given, the initial precision is
--- 6704,6711 ----
  @end deftypefun
  
! @deftypefun  {} mpf_class::mpf_class (const char *@var{s})
! @deftypefunx {} mpf_class::mpf_class (const char *@var{s}, unsigned long @var{prec}, int @var{base} = 0)
! @deftypefunx {} mpf_class::mpf_class (const string& @var{s})
! @deftypefunx {} mpf_class::mpf_class (const string& @var{s}, unsigned long @var{prec}, int @var{base} = 0)
  Construct an @code{mpf_class} converted from a string using @code{mpf_set_str}
  (@pxref{Assigning Floats}).  If @var{prec} is given, the initial precision is
